@charset 'utf-8';

/*links*/

a:link{
   color: green;
   font-weight: bold;
}

a:visited{
   color: purple;
   font-weight: bold;
}

/*mouse*/

a:hover{
   background-color: cyan;
   padding: 2px;
}

a:active{
   border: 2px solid #ff0000;
   padding: 2px;
}

/*interaccion usuario*/

input:focus{
   border: 2px dotted #444;
}

input:checked + span{
   background-color: orange;
   padding: 4px;
}

/*lectura escritura*/

input:read-only{
   background-color: darkred;
   color: white;
}

input:required{
   border: 2px solid blue;
}

/*validaciones*/

input.myText4:optional{
   border: 2px soli grey;
}

input.valid1:invalid{
   background-color: darkred;
   color: white;
}

input.valid1:valid{
   background-color: green;
   color: white;
}

/*validaciones de rango*/

input.rang:out-of-range{
   background-color: darkred;
   color: white;
}

input.rang:in-range{
   background-color: green;
   color: white;
}

/*primer ultimo elemento*/

strong:first-child{
   background-color: cyan;
}

strong:last-child{
   background-color: green;
}

strong:nth-child(3){ /*al hijo en la posicion 3 tipo strong*/
   background-color: yellow;
}

/*pseudoelementos*/

.abuelo div{
   border-width: 2px;
   border-style: solid;
   border-color: black;
}

.padre::after{
   content: "Contenido insertado tras el contenido de los elementos '.padre'";
   color: #009cde;
   font-weight: bold;
   text-transform: uppercase;
}

.padre::before{
   content: "Contenido insertado tras el contenido de los elementos '.padre'";
   color: #0000ff;
   font-style: italic;
   font-size: 0.8rem;
}

.pseudoelementos2 p::first-letter{
   color: black;
   font-family: 'Times New Roman', Times, serif;
   font-size: 42px;
}

.pseudoelementos2 p::first-line{
   color: #999;
}
.pseudoelementos3 p::selection{
   color: cyan;
}